<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="xacnhanthongtin" language="groovy" pageWidth="864" pageHeight="1000" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="854" leftMargin="5" rightMargin="5" topMargin="3" bottomMargin="3">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="193"/>
	<property name="ireport.y" value="0"/>
	<subDataset name="f01">
		<queryString language="SQL">
			<![CDATA[select to_char(sysdate,'dd') ngay1 ,to_char(sysdate,'mm') thang1, to_char(sysdate,'yyyy') nam1 from dual]]>
		</queryString>
		<field name="NGAY1" class="java.lang.String"/>
		<field name="THANG1" class="java.lang.String"/>
		<field name="NAM1" class="java.lang.String"/>
	</subDataset>
	<parameter name="ps_agent" class="java.lang.String"/>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="nguoi_th" class="java.lang.String"/>
	<parameter name="tungay" class="java.lang.String"/>
	<parameter name="denngay" class="java.lang.String"/>
	<parameter name="dispatch_name" class="java.lang.String"/>
	<parameter name="khuvuc" class="java.lang.String"/>
	<parameter name="ma_tinh" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= admin_v2.pkg_manage_catelory.category_del_report('{p0tungay}','{p0denngay}','{p0locat}','{p0ps_agent}','{p0dispatch}','{p0package}');end;]]>
	</queryString>
	<field name="tencoquan" class="java.lang.String"/>
	<field name="madn" class="java.lang.String"/>
	<field name="thanhtoan" class="java.lang.String"/>
	<field name="sotb" class="java.lang.String"/>
	<field name="goicuoc" class="java.lang.String"/>
	<field name="ngayhm" class="java.lang.String"/>
	<field name="ngayhetkm" class="java.lang.String"/>
	<field name="chungloai" class="java.lang.String"/>
	<field name="trangthai" class="java.lang.String"/>
	<field name="vnp" class="java.lang.String"/>
	<field name="vnpt" class="java.lang.String"/>
	<field name="note" class="java.lang.String"/>
	<field name="diachi" class="java.lang.String"/>
	<field name="ten_tt" class="java.lang.String"/>
	<field name="tien_dc" class="java.lang.String"/>
	<field name="money_add" class="java.lang.String"/>
	<field name="modify_by" class="java.lang.String"/>
	<field name="price" class="java.lang.String"/>
	<field name="cuoc_ck" class="java.lang.String"/>
	<field name="ten_dv" class="java.lang.String"/>
	<field name="regis_date" class="java.lang.String"/>
	<field name="month_app" class="java.lang.String"/>
	<field name="agent_code" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="352" splitType="Stretch">
			<staticText>
				<reportElement x="544" y="24" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Cộng hòa xã hội chủ nghĩa Việt Nam]]></text>
			</staticText>
			<staticText>
				<reportElement x="544" y="38" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Độc lập - Tự do - Hạnh phúc]]></text>
			</staticText>
			<image>
				<reportElement x="64" y="10" width="114" height="42"/>
				<imageExpression class="java.lang.String"><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="544" y="52" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false"/>
				</textElement>
				<text><![CDATA[-------------o0o-------------]]></text>
			</staticText>
			<staticText>
				<reportElement x="26" y="265" width="34" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Stt]]></text>
			</staticText>
			<staticText>
				<reportElement x="60" y="265" width="70" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tỉnh]]></text>
			</staticText>
			<staticText>
				<reportElement x="130" y="265" width="91" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Số thuê bao]]></text>
			</staticText>
			<staticText>
				<reportElement x="221" y="265" width="199" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Gói cước KM]]></text>
			</staticText>
			<staticText>
				<reportElement x="420" y="265" width="92" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ngày bắt đầu]]></text>
			</staticText>
			<staticText>
				<reportElement x="512" y="265" width="74" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ngày hủy gói]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="86" width="792" height="50"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="20" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[BÁO CÁO SỐ LƯỢNG THUÊ BAO HỦY CAM KẾT THIẾT BỊ THEO KHU VỰC]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement x="450" y="66" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<staticText>
				<reportElement x="173" y="166" width="100" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Từ ngày:]]></text>
			</staticText>
			<staticText>
				<reportElement x="378" y="166" width="66" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Đến ngày:]]></text>
			</staticText>
			<textField>
				<reportElement x="273" y="166" width="93" height="20"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{tungay}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="444" y="166" width="100" height="20"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{denngay}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="136" width="755" height="30"/>
				<box leftPadding="3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="16" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{dispatch_name}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="672" y="265" width="86" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tiền bồi hoàn]]></text>
			</staticText>
			<staticText>
				<reportElement x="157" y="195" width="102" height="22"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="13" isBold="false" isItalic="true"/>
				</textElement>
				<text><![CDATA[Khu vực]]></text>
			</staticText>
			<staticText>
				<reportElement x="157" y="217" width="102" height="22"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="13" isBold="false" isItalic="true"/>
				</textElement>
				<text><![CDATA[Tỉnh]]></text>
			</staticText>
			<staticText>
				<reportElement x="586" y="265" width="86" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tháng đã CK]]></text>
			</staticText>
			<textField>
				<reportElement x="259" y="197" width="285" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{khuvuc}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="259" y="217" width="285" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{ma_tinh}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="758" y="265" width="96" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Trạng thái]]></text>
			</staticText>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="758" y="0" width="96" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{money_add}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="20" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="26" y="0" width="34" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="130" y="0" width="91" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{sotb}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="221" y="0" width="199" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{goicuoc}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="420" y="0" width="92" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ngayhm}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="512" y="0" width="74" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ngayhetkm}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="672" y="0" width="86" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{money_add}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="586" y="0" width="86" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{month_app}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="60" y="0" width="70" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{agent_code}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="758" y="0" width="96" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{trangthai}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="184" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="441" y="32" width="324" height="28"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA["Ngày "+((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay1").toString()+"/"+((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang1").toString()+"/"+((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam1").toString()]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="447" y="12" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<textField>
				<reportElement x="444" y="80" width="324" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{nguoi_th}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="444" y="60" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
		</band>
	</summary>
</jasperReport>
